const { Given, When, Then } = require("cypress-cucumber-preprocessor/steps");

Given('I have the endpoint {string}', (url) => {
  cy.wrap(url).as('apiEndpoint');
});

Given('I set the request headers as:', (table) => {
  const headers = table.hashes();
  cy.wrap(headers).as('requestHeaders');
});

When('I make a DELETE request', () => {
  cy.get('@apiEndpoint').then((url) => {
    cy.get('@requestHeaders').then((headers) => {
      cy.request({
        method: 'DELETE',
        url,
        headers,
      }).as('response');
    });
  });
});

Then('I should see a response with status code {int}', (statusCode) => {
  cy.get('@response').its('status').should('equal', statusCode);
});
