const { Given, When, Then } = require("cypress-cucumber-preprocessor/steps");

Given('I have the endpoint {string}', (url) => {
  cy.wrap(url).as('apiEndpoint');
});

Given('I set the request headers as:', (table) => {
  const headers = table.hashes();
  cy.wrap(headers).as('requestHeaders');
});

Given('I set the request body as:', (body) => {
  cy.wrap(body).as('requestBody');
});

When('I make a PATCH request', () => {
  cy.get('@apiEndpoint').then((url) => {
    cy.get('@requestHeaders').then((headers) => {
      cy.get('@requestBody').then((body) => {
        cy.request({
          method: 'PATCH',
          url,
          headers,
          body: JSON.parse(body),
        }).as('response');
      });
    });
  });
});

Then('I should see a response with status code {int}', (statusCode) => {
  cy.get('@response').its('status').should('equal', statusCode);
});

