// Question 3 part 1


async function getPostCounts() {
    try {
      const response = await fetch('https://jsonplaceholder.typicode.com/posts');
  
      if (!response.ok) {
        throw new Error(`HTTP error! Status: ${response.status}`);
      }
  
      const data = await response.json();
      const userPostCounts = {};
  
      data.forEach(post => {
        const userId = post.userId;
        userPostCounts[`user${userId}`] = (userPostCounts[`user${userId}`] || 0) + 1;
      });
  
      console.log(userPostCounts);
    } catch (error) {
      console.error('An error occurred:', error);
    }
  }
  
  getPostCounts();
  

  // Question 3 part 2

  async function fetchAndLogTitles() {
    try {
      const response = await fetch('https://jsonplaceholder.typicode.com/posts');
      
      if (!response.ok) {
        throw new Error(`HTTP error! Status: ${response.status}`);
      }
  
      const data = await response.json();
  
      const result = {};
  
      data.forEach(post => {
        if (post.title.length < 31) {
          result[`user${post.userId}`] = post.title.toUpperCase();
        }
      });
  
      console.log(result);
    } catch (error) {
      console.error('An error occurred:', error);
    }
  }
  
  fetchAndLogTitles();
  